'use strict';

const config = require('./config.json');
const modem = require('./modem');
const common = require('./common');

exports.sendSms = async function (req, res){
    let msg = req.query.msg;
    let number = req.query.number;
    let reqid = req.query.reqid;
    let apiKey = req.query.apikey;
    //apiKey="746573206D6F64656D2074656C6D6F73656C20666C617368";
    if(!reqid||!apiKey){
        common.log("invalid reqid or apikey;msg "+msg+" number "+number);
        res.json({"status": "invalid parameter", "msg": msg, "number": number, "apikey" : apiKey, "reqid": reqid});
    return;
    } else if (apiKey !== config.core.api_key){
        common.log("invalid apiKey;msg \""+msg+"\" number \""+number+"\" reqid \""+reqid);
        res.json({"status": "invalid parameter", "msg": msg, "number": number, "apikey" : apiKey, "reqid": reqid});
        return;
    }
    common.log("msg "+ msg + " number " +number);
    //----------------
    let val = await modem.sendingSMS(msg, "+"+number, reqid);
    //common.log('resp; status '+statusModem+" reqid "+reqid);
    //---------------
    common.log("val "+val);
    res.json({"msg": msg, "number": number, code: "200"});

}

