'use strict';

const express = require('express');
const app = express();
const config = require('./lib/config.json');
const modem = require('./lib/modem');
const sms = require('./lib/sms');
const ussd = require('./lib/ussd');
const argv = process.argv;

//let portUse = argv[2];

app.get('/sms', sms.sendSms);
app.get('/ussd', ussd.sendUssd);

//start port modem
modem.startModem();

app.listen(config.core.node_port, () => console.log(`app listen on port ${config.core.node_port}!`));
